Summary: GNU troff text-formatting system.
Name: hhl-target-groff
Version: 1.17.2
Release: %{_hhl_build_id}.5
Source: groff_%{version}.orig.tar.gz
Source1: groff.tmpl
Source2: groff-doc.tmpl
Patch0: groff_%{version}-16.diff.gz
# The following patch should not be necessary...
Patch1: groff_1.15.2-broken-gcc3.patch
License: GPL
Group: text
Buildroot: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
Prefix: %{_hhl_cross_target_dir}
%define _docdir	%{_hhl_cross_target_dir}%{_hhl_target_doc_dir}

%description
This package contains the traditional UN*X text formatting tools
troff, nroff, tbl, eqn and pic. These utilities, together with the
man package, are essential for displaying the on-line manual pages. 

Output can be produced in a number of formats including plain ASCII
and PostScript. All the standard macro packages are supported.  A
number of other utilities are also included together with several fonts.

%package -n hhl-%{_hhl_target_arch}-groff
Summary: GNU troff text-formatting system.
Group: text
AutoReqProv: no
%description -n hhl-%{_hhl_target_arch}-groff
This package contains the traditional UN*X text formatting tools
troff, nroff, tbl, eqn and pic. These utilities, together with the
man package, are essential for displaying the on-line manual pages. 

Output can be produced in a number of formats including plain ASCII
and PostScript. All the standard macro packages are supported.  A
number of other utilities are also included together with several fonts.

%package -n hhl-%{_hhl_target_arch}-groff-doc
Summary: GNU troff text-formatting system.
Group: text
AutoReqProv: no
%description -n hhl-%{_hhl_target_arch}-groff-doc
This package contains the traditional UN*X text formatting tools
troff, nroff, tbl, eqn and pic. These utilities, together with the
man package, are essential for displaying the on-line manual pages. 

Output can be produced in a number of formats including plain ASCII
and PostScript. All the standard macro packages are supported.  A
number of other utilities are also included together with several fonts.

This package includes the documentation for groff.

%prep
%target_check
%setup -q -n groff-%{version}
%patch0 -p1

cd src/libs
%patch1 -p1
cd ../..

%build
%target_setup

# Work around an SH compiler bug.
%if "%{_hhl_target_cpu_type}" == "sh"
export CXXFLAGS="-O1"
%endif

%target_configure --enable-japanese

%make all | tee -a build.log

%install
rm -rf %{buildroot}
%target_setup
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_prefix}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_exec_prefix}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_include_dir}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_info_dir}
%target_makeinstall | tee -a build.log
gzip -v9 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man?/*.?
cd ..
cp COPYING LICENSE

install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages
export HHL_TOOL_PREFIX=%{_hhl_target_toolprefix}
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE1} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/groff
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE2} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/groff-doc

%clean
rm -rf %{buildroot}

%files -n hhl-%{_hhl_target_arch}-groff
%defattr(-,root,root)
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/*
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/groff
%{_hhl_cross_target_dir}%{_hhl_target_data_dir}/groff
%doc LICENSE
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/groff

%files -n hhl-%{_hhl_target_arch}-groff-doc
%defattr(-,root,root)
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man?/*
%doc README COPYING BUG-REPORT NEWS PROBLEMS PROJECTS REVISION TODO VERSION
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/groff-doc
%doc LICENSE
%changelog
* Fri Apr 20 2001 Automated script (run by Steve Kinneberg <skinneberg@mvista.com>)
- Added TCT package description files
* Wed Feb 21 2001 Charles Duffy <source@mvista.com>
- First cut
